阿里云首页> 安全公告> 【风险预警】PHP网站程序集成包PhpStudy爆发后门高风险事件

【风险预警】PHP网站程序集成包PhpStudy爆发后门高风险事件

近日,阿里云应急响应中心监测到国内知名PHP网站环境程序集成包“PhpStudy”遭黑客篡改,其Windows版本自带的php_xmlrpc.dll模块被植入后门。攻击者在请求中构造特定字符串,可实现远程命令执行,控制服务器。


漏洞描述

黑客通过篡改php_xmlrpc.dll模块,导致用户的请求均会经过特定的后门函数。当满足一定条件时,黑客可以通过自定义头部实现任意代码执行,在用户无感知的情况下窃取用户数据。


影响版本

PhpStudy多个Windows版本被植入后门


安全建议

1. 用户通过搜索php_xmlrpc.dll模块中是否包含“eval”等关键字来定位是否存在后门,后门文件包括php\php-5.4.45\ext\php_xmlrpc.dll 和 php\php-5.2.17\ext\php_xmlrpc.dll 等。若存在请及时卸载后门程序并排查。

2. 关注PhpStudy官方安全公告,尽量在官网进行下载和更新。


相关链接

https://mp.weixin.qq.com/s/s-5cVTxIJcDfdRjtnEnI0g

https://www.xp.cn/


我们会关注后续进展,请随时关注官方公告。

如有任何问题,可随时通过工单联系反馈。


阿里云应急响应中心

2019.9.23